glab(1)

NAME
glab-milestone-create - Create a milestone in a project or group.

SYNOPSIS
glab milestone create [flags]

DESCRIPTION
The --title flag is required. Optionally provide a description, due date, and start date.

By default, the milestone is created in the current project. Use --project to target a different project, or --group to create a group-level milestone. --project and --group are mutually exclusive.

OPTIONS
--description=""
    Description of the milestone.

--due-date=""
    Due date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--group=""
    The ID or URL-encoded path of the group.

--project=""
    The ID or URL-encoded path of the project.

--start-date=""
    Start date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--title=""
    Title of the milestone.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Create a milestone in the current project
    glab milestone create --title='Example title' --due-date='2025-12-16'
    # Create a milestone in a different project
    glab milestone create --title='Q4 release' --due-date='2025-12-16' --project 123
    # Create a milestone in a group
    glab milestone create --title='FY26 planning' --due-date='2026-01-31' --group 456

SEE ALSO
glab-milestone(1)